package com.mortals.xhx.module.classify.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:ClassifyRelation
* date: 2021-8-19 23:28:22
*/
public class ClassifyRelationQuery extends ClassifyRelationEntity{
    private static final long serialVersionUID = 1629386902237L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 一件事分类表id */
    private Long classifyIdStart;

    /** 结束 一件事分类表id */
    private Long classifyIdEnd;

    /** 增加 一件事分类表id */
    private Long classifyIdIncrement;

    /** 一件事分类表id */
    private List <Long> classifyIdList;


    /** 基础信息json */
    private List<String> basicsJsonList;

    /** 申请条件json */
    private List<String> acceptJsonList;

    /** 办理流程json */
    private List<String> flowlimitJsonList;

    /** 最终选择的材料id one_datum */
    private List<String> oneDatumIdsList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ClassifyRelationQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ClassifyRelationQuery> andConditionList;


    public ClassifyRelationQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 一件事分类表id
    * @return classifyIdStart
    */
    public Long getClassifyIdStart(){
    return this.classifyIdStart;
    }

    /**
    * 设置 开始 一件事分类表id
    * @param classifyIdStart
    */
    public void setClassifyIdStart(Long classifyIdStart){
    this.classifyIdStart = classifyIdStart;
    }

    /**
    * 获取 结束 一件事分类表id
    * @return classifyIdEnd
    */
    public Long getClassifyIdEnd(){
    return this.classifyIdEnd;
    }

    /**
    * 设置 结束 一件事分类表id
    * @param classifyIdEnd
    */
    public void setClassifyIdEnd(Long classifyIdEnd){
    this.classifyIdEnd = classifyIdEnd;
    }

    /**
    * 获取 增加 一件事分类表id
    * @return classifyIdIncrement
    */
    public Long getClassifyIdIncrement(){
    return this.classifyIdIncrement;
    }

    /**
    * 设置 增加 一件事分类表id
    * @param classifyIdIncrement
    */
    public void setClassifyIdIncrement(Long classifyIdIncrement){
    this.classifyIdIncrement = classifyIdIncrement;
    }

    /**
    * 获取 一件事分类表id
    * @return classifyIdList
    */
    public List<Long> getClassifyIdList(){
    return this.classifyIdList;
    }

    /**
    * 设置 一件事分类表id
    * @param classifyIdList
    */
    public void setClassifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
        }
    /**
    * 获取 基础信息json
    * @return basicsJsonList
    */
    public List<String> getBasicsJsonList(){
        return this.basicsJsonList;
    }

    /**
    * 设置 基础信息json
    * @param basicsJsonList
    */
    public void setBasicsJsonList(List<String> basicsJsonList){
        this.basicsJsonList = basicsJsonList;
    }
    /**
    * 获取 申请条件json
    * @return acceptJsonList
    */
    public List<String> getAcceptJsonList(){
        return this.acceptJsonList;
    }

    /**
    * 设置 申请条件json
    * @param acceptJsonList
    */
    public void setAcceptJsonList(List<String> acceptJsonList){
        this.acceptJsonList = acceptJsonList;
    }
    /**
    * 获取 办理流程json
    * @return flowlimitJsonList
    */
    public List<String> getFlowlimitJsonList(){
        return this.flowlimitJsonList;
    }

    /**
    * 设置 办理流程json
    * @param flowlimitJsonList
    */
    public void setFlowlimitJsonList(List<String> flowlimitJsonList){
        this.flowlimitJsonList = flowlimitJsonList;
    }
    /**
    * 获取 最终选择的材料id one_datum
    * @return oneDatumIdsList
    */
    public List<String> getOneDatumIdsList(){
        return this.oneDatumIdsList;
    }

    /**
    * 设置 最终选择的材料id one_datum
    * @param oneDatumIdsList
    */
    public void setOneDatumIdsList(List<String> oneDatumIdsList){
        this.oneDatumIdsList = oneDatumIdsList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public ClassifyRelationQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public ClassifyRelationQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public ClassifyRelationQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public ClassifyRelationQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public ClassifyRelationQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  一件事分类表id
    * @param classifyId
    */
    public ClassifyRelationQuery classifyId(Long classifyId){
	    setClassifyId(classifyId);
		return this;
    }
	
	 /**
    * 设置 开始 一件事分类表id
    * @param classifyIdStart
    */
    public ClassifyRelationQuery classifyIdStart(Long classifyIdStart){
		this.classifyIdStart = classifyIdStart;
		return this;
    }

    /**
    * 设置 结束 一件事分类表id
    * @param classifyIdEnd
    */
    public ClassifyRelationQuery classifyIdEnd(Long classifyIdEnd){
		this.classifyIdEnd = classifyIdEnd;
		return this;
    }

    /**
    * 设置 增加 一件事分类表id
    * @param classifyIdIncrement
    */
    public ClassifyRelationQuery classifyIdIncrement(Long classifyIdIncrement){
		this.classifyIdIncrement = classifyIdIncrement;
		return this;
    }

    /**
    * 设置 一件事分类表id
    * @param classifyIdList
    */
    public ClassifyRelationQuery classifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
		return this;
        }
	/**
    * 设置 基础信息json
    * @param basicsJson
    */
    public ClassifyRelationQuery basicsJson(String basicsJson){
        setBasicsJson(basicsJson);
		return this;
    }


    /**
    * 设置 基础信息json
    * @param basicsJsonList
    */
    public ClassifyRelationQuery basicsJsonList(List<String> basicsJsonList){
        this.basicsJsonList = basicsJsonList;
		return this;
    }
	/**
    * 设置 申请条件json
    * @param acceptJson
    */
    public ClassifyRelationQuery acceptJson(String acceptJson){
        setAcceptJson(acceptJson);
		return this;
    }


    /**
    * 设置 申请条件json
    * @param acceptJsonList
    */
    public ClassifyRelationQuery acceptJsonList(List<String> acceptJsonList){
        this.acceptJsonList = acceptJsonList;
		return this;
    }
	/**
    * 设置 办理流程json
    * @param flowlimitJson
    */
    public ClassifyRelationQuery flowlimitJson(String flowlimitJson){
        setFlowlimitJson(flowlimitJson);
		return this;
    }


    /**
    * 设置 办理流程json
    * @param flowlimitJsonList
    */
    public ClassifyRelationQuery flowlimitJsonList(List<String> flowlimitJsonList){
        this.flowlimitJsonList = flowlimitJsonList;
		return this;
    }
	/**
    * 设置 最终选择的材料id one_datum
    * @param oneDatumIds
    */
    public ClassifyRelationQuery oneDatumIds(String oneDatumIds){
        setOneDatumIds(oneDatumIds);
		return this;
    }


    /**
    * 设置 最终选择的材料id one_datum
    * @param oneDatumIdsList
    */
    public ClassifyRelationQuery oneDatumIdsList(List<String> oneDatumIdsList){
        this.oneDatumIdsList = oneDatumIdsList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public ClassifyRelationQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public ClassifyRelationQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public ClassifyRelationQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public ClassifyRelationQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public ClassifyRelationQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public ClassifyRelationQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public ClassifyRelationQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public ClassifyRelationQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ClassifyRelationQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ClassifyRelationQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ClassifyRelationQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ClassifyRelationQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}